gpaste (45.3-2) unstable; urgency=medium

  * Set gnome team as maintainer, but not yet moved to salsa
    gnome-team.
  * patch: add support for gnome 49. Closes: #1115528
  * Update watch file to version 5
  * Drop revision on some symbols file

 -- Jérémy Lal <kapouer@melix.org>  Wed, 17 Sep 2025 21:36:43 +0200

gpaste (45.3-1) unstable; urgency=medium

  * New upstream version 45.3. Closes: #1100808, #1103903.
  * Standards-Version 4.7.2, no change
  * Drop applied patch for gnome 48 version support
  * Update libgpaste-2.symbols for version 45.3.

  [ Jeremy Bícha ]
  * Automatically update supported GNOME Shell versions by parsing metadata.json

 -- Jérémy Lal <kapouer@melix.org>  Tue, 22 Apr 2025 19:58:13 +0200

gpaste (45.2-2) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Add patch to mark compatible with GNOME Shell 48 (Closes: #1096059)
  * Bump maximum GNOME Shell to 48

 -- Jérémy Lal <kapouer@melix.org>  Sun, 16 Feb 2025 12:39:56 +0100

gpaste (45.2-1) unstable; urgency=medium

  * New upstream version 45.2
  * Drop applied patch

 -- Jérémy Lal <kapouer@melix.org>  Thu, 17 Oct 2024 23:17:03 +0200

gpaste (45.1-2) unstable; urgency=medium

  * Okay to use gcr-4 now. Closes: #1082425

 -- Jérémy Lal <kapouer@melix.org>  Fri, 20 Sep 2024 21:34:56 +0200

gpaste (45.1-1) unstable; urgency=medium

  * New upstream version 45.1
  * Refresh patches

  [ Jeremy Bícha ]
  * Move gjs to Build-Depends-Indep
  * Remove unused Build-Depends: libappstream-glib-dev

 -- Jérémy Lal <kapouer@melix.org>  Fri, 20 Sep 2024 18:10:23 +0200

gpaste (45-5) unstable; urgency=medium

  * Fix build fix gcc14, thanks Adrian Bunk. Closes: #1078086.

 -- Jérémy Lal <kapouer@melix.org>  Tue, 06 Aug 2024 22:59:12 +0200

gpaste (45-4) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Update for GNOME Shell 47

 -- Jérémy Lal <kapouer@melix.org>  Tue, 06 Aug 2024 19:43:19 +0200

gpaste (45-3) unstable; urgency=high

  * Release to unstable (Closes: #1076237)
  * Revert t64 suffix.
  * B-D pkgconf

 -- Jérémy Lal <kapouer@melix.org>  Tue, 16 Jul 2024 10:58:01 +0200

gpaste (45-2) experimental; urgency=medium

  [ Jeremy Bicha ]
  * Update minimum GNOME Shell version to 45 to match metadata.json

 -- Jérémy Lal <kapouer@melix.org>  Mon, 25 Sep 2023 12:53:02 +0200

gpaste (45-1) experimental; urgency=medium

  * New upstream version 45 (Closes: #1052099)
  * Remove useless patches
  * Patch to lower gjs version requirement
  * Yet depends on latest gjs (>= 1.76.2)
  * Update symbols

 -- Jérémy Lal <kapouer@melix.org>  Sat, 23 Sep 2023 00:59:18 +0200

gpaste (44.1-2) unstable; urgency=medium

  * Drop useless clutter-1.0-dev. Closes: #1041624.

 -- Jérémy Lal <kapouer@melix.org>  Tue, 25 Jul 2023 10:16:38 +0200

gpaste (44.1-1) experimental; urgency=medium

  * New upstream version 44.1. Closes: #1041325.

 -- Jérémy Lal <kapouer@melix.org>  Tue, 18 Jul 2023 00:04:27 +0200

gpaste (44.0-1) experimental; urgency=medium

  * New upstream version 44.0
  * Refresh patches
  * Patch to keep gcr at version 3
  * Breaks+Replaces: libgpaste6 (<< 3.24). Closes: #1038751

 -- Jérémy Lal <kapouer@melix.org>  Fri, 30 Jun 2023 09:43:46 +0200

gpaste (43.2-1) unstable; urgency=medium

  * New upstream version 43.2
    Closes: #1035115. Avoid crash under heavy memory load
  * Use watch file from uscan examples 

 -- Jérémy Lal <kapouer@melix.org>  Sun, 30 Apr 2023 10:56:22 +0200

gpaste (43.1-3) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Update patch to declare compatibility with GNOME Shell 44; drop 42
  * debian/control: Update gnome-shell dependency versions
    to match the extension's metadata

 -- Jérémy Lal <kapouer@melix.org>  Sat, 25 Feb 2023 10:45:26 +0100

gpaste (43.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libgpaste-2-common: Add Multi-Arch: foreign.
    + gir1.2-gpaste-2: Add Multi-Arch: same.
  * Bump debhelper from old 12 to 13.
  * Add upstream metadata fields

 -- Jérémy Lal <kapouer@melix.org>  Fri, 20 Jan 2023 11:33:23 +0100

gpaste (43.1-1) unstable; urgency=medium

  * New upstream version 43.1
  * Standards-Version: 4.6.2

 -- Jérémy Lal <kapouer@melix.org>  Fri, 20 Jan 2023 11:30:08 +0100

gpaste (43.0-2) unstable; urgency=medium

  * B-D: desktop-file-utils

 -- Jérémy Lal <kapouer@melix.org>  Mon, 03 Oct 2022 13:08:01 +0200

gpaste (43.0-1) unstable; urgency=medium

  * New upstream version 43.0
  * Refresh patches
  * B-D: libgcr-3-dev, update-desktop-database

 -- Jérémy Lal <kapouer@melix.org>  Mon, 03 Oct 2022 09:43:23 +0200

gpaste (42.1-6) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Update patch to declare compatible with gnome-shell 43
  * debian/control: Set maximum gnome-shell to 43
  * Cherry-pick patch for GNOME 43 compatibility

 -- Jérémy Lal <kapouer@melix.org>  Sat, 27 Aug 2022 12:29:51 +0200

gpaste (42.1-5) unstable; urgency=medium

  * Depends libgpaste-2-common

 -- Jérémy Lal <kapouer@melix.org>  Tue, 09 Aug 2022 12:52:31 +0200

gpaste (42.1-4) unstable; urgency=medium

  * libgpaste2-common breaks libgpaste-common (Closes: #1014751)

 -- Jérémy Lal <kapouer@melix.org>  Wed, 20 Jul 2022 06:42:20 +0200

gpaste (42.1-3) unstable; urgency=medium

  * Move back libgjs-dev into Build-Depends (Closes: #1011614).

 -- Jérémy Lal <kapouer@melix.org>  Wed, 25 May 2022 14:16:41 +0200

gpaste (42.1-2) unstable; urgency=medium

  * copyright: CC-BY-SA-3.0 for appdata xml file (Closes: #1010901)
  * Remove useless Build-Dependencies
  * Conflicts and replaces gpaste
  * Provides/Depends gtk3/gtk4 typelibs
  * Override missing libc, gtk use glib

 -- Jérémy Lal <kapouer@melix.org>  Tue, 24 May 2022 10:34:04 +0200

gpaste (42.1-1) experimental; urgency=medium

  * New upstream version 42.1
  * Upstream renamed it gpaste-2
  * Switched to meson build system

 -- Jérémy Lal <kapouer@melix.org>  Thu, 12 May 2022 14:55:26 +0200

gpaste (3.42.6-1) unstable; urgency=medium

  * New upstream version 3.42.6
  * Allow installing with gnome-shell 42 (patch and depends).

 -- Jérémy Lal <kapouer@melix.org>  Wed, 09 Mar 2022 23:00:31 +0100

gpaste (3.42.2-1) unstable; urgency=medium

  * New upstream version 3.42.2

 -- Jérémy Lal <kapouer@melix.org>  Thu, 09 Dec 2021 15:47:41 +0100

gpaste (3.42.1-1) unstable; urgency=medium

  * New upstream version 3.42.1
  * Standards-Version 4.6.0.1

 -- Jérémy Lal <kapouer@melix.org>  Wed, 03 Nov 2021 19:05:41 +0100

gpaste (3.42.0-4) unstable; urgency=medium

  * Extension should Depends: gnome-shell. Closes: #996700

 -- Jérémy Lal <kapouer@melix.org>  Sun, 17 Oct 2021 19:23:36 +0200

gpaste (3.42.0-3) unstable; urgency=medium

  * Fix depends gnome-shell 41 << 42

 -- Jérémy Lal <kapouer@melix.org>  Sun, 17 Oct 2021 18:02:13 +0200

gpaste (3.42.0-2) unstable; urgency=medium

  * Upload to unstable (Closes: #996058).

 -- Jérémy Lal <kapouer@melix.org>  Sun, 17 Oct 2021 11:45:37 +0200

gpaste (3.42.0-1) experimental; urgency=medium

  * New upstream version 3.42.0
  * Depends: gnome-shell 3.41 (Closes: #996058).

 -- Jérémy Lal <kapouer@melix.org>  Sun, 10 Oct 2021 22:39:41 +0200

gpaste (3.40.2-1) unstable; urgency=medium

  * New upstream version 3.40.2 (Closes:#993064)
  * Update symbols - ui methods removed on purpose

 -- Jérémy Lal <kapouer@melix.org>  Fri, 27 Aug 2021 10:53:03 +0200

gpaste (3.38.6-1) unstable; urgency=medium

  * New upstream version 3.38.6 (Closes:#984943).

 -- Jérémy Lal <kapouer@melix.org>  Wed, 10 Mar 2021 19:48:13 +0100

gpaste (3.38.5-1) unstable; urgency=medium

  * New upstream version 3.38.5
  * Standards-Version 4.5.1, no change required

 -- Jérémy Lal <kapouer@melix.org>  Sun, 14 Feb 2021 23:28:01 +0100

gpaste (3.38.4-1) unstable; urgency=medium

  * New upstream version 3.38.4

 -- Jérémy Lal <kapouer@melix.org>  Mon, 04 Jan 2021 10:42:21 +0100

gpaste (3.38.3-2) unstable; urgency=medium

  * Fix version in Breaks/Replaces. Closes: #975890

 -- Jérémy Lal <kapouer@melix.org>  Thu, 26 Nov 2020 12:10:04 +0100

gpaste (3.38.3-1) unstable; urgency=medium

  * New upstream version 3.38.3
  * Rename to gnome-shell-extension-gpaste, closes: #975473
  * watch file version 4, use example from man uscan

 -- Jérémy Lal <kapouer@melix.org>  Sun, 22 Nov 2020 18:55:06 +0100

gpaste (3.38.2-1) unstable; urgency=medium

  * New upstream version 3.38.2 (Closes: #972038)
  * Refresh patch

 -- Jérémy Lal <kapouer@melix.org>  Sun, 18 Oct 2020 13:58:32 +0200

gpaste (3.36.3-1) unstable; urgency=medium

  * New upstream version 3.36.3 (Closes: #955132)

 -- Jérémy Lal <kapouer@melix.org>  Fri, 27 Mar 2020 19:34:36 +0100

gpaste (3.36.2-1) unstable; urgency=medium

  * New upstream version 3.36.2 (Closes: #954995)

 -- Jérémy Lal <kapouer@melix.org>  Thu, 26 Mar 2020 14:18:33 +0100

gpaste (3.36.0-1) unstable; urgency=medium

  * New upstream version 3.36.0

 -- Jérémy Lal <kapouer@melix.org>  Thu, 12 Mar 2020 23:10:53 +0100

gpaste (3.34.1-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * Bump debhelper compatibility to 12 and move the daemon to /usr/libexec
  * debian/gpaste.install: Install bash and zsh completion for gpaste-client
  * debian/control: Bump Standards-Version to 4.5.0 (no further changes)

  [ Jérémy Lal ]
  * Drop unnecessary build-dep on mutter. Closes: #953004

 -- Jérémy Lal <kapouer@melix.org>  Tue, 03 Mar 2020 10:57:16 +0100

gpaste (3.34.1-1) unstable; urgency=medium

  [ Jérémy Lal ]
  * New upstream version 3.34.1 (Closes: #941729)

  [ Jeremy Bicha ]
  * Set $XDG_RUNTIME_DIR to clean up some build log noise

 -- Jérémy Lal <kapouer@melix.org>  Thu, 10 Oct 2019 19:22:20 +0200

gpaste (3.34.0-1) experimental; urgency=medium

  * New upstream version 3.34.0
  * Update symbols file
  * Build-Depends libmutter-5-dev

 -- Jérémy Lal <kapouer@melix.org>  Thu, 12 Sep 2019 01:17:03 +0200

gpaste (3.32.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jérémy Lal <kapouer@melix.org>  Thu, 12 Sep 2019 00:43:30 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog gir1.2-gpaste-2`.
